# Makefile for Bluetooth server (blueserver).
#
# Copyright (C) 2007 TomTom BV <http://www.tomtom.com/>

TOPDIR:=../../..
include $(TOPDIR)/Linux/common-linux.mk

# Build tools
CC=$(TT_CC)
CXX=$(TT_CXX)
LD=$(TT_LD)
AR=$(TT_AR)
MKDIR=$(TT_MKDIR)
RMDIR=$(TT_RMDIR)
clndir=$(TT_clndir)
RM=$(TT_RM)
CP=$(TT_CP)
SED=$(TT_SED)

# Paths to dependencies
BLUEZDIR=$(TOPDIR)/External/bluez

# All include directories
INCLUDES=\
-I. \
-I$(CURDIR)/inc \
-I$(BLUEZDIR)/Include

# Extra defines
DEFINES=-DSUPPORT_BRISTOL

# Preprocessor, C/C++ compiler and linker flags
CPPFLAGS=$(TT_CPPFLAGS) $(INCLUDES) $(DEFINES)
CFLAGS=$(TT_CFLAGS)
CXXFLAGS=$(TT_CXXFLAGS)
LDFLAGS=$(TT_LDFLAGS)
LDLIBS=-L$(BLUEZDIR)/Linux/lib-$(PLATFORM) -lbluetooth

# Output directories
OBJDIR=$(CURDIR)/obj-$(TT_OUT)
#OBJDIR=$(CURDIR)/bin-$(TT_OUT)
BINDIR=$(CURDIR)/bin-$(TT_OUT)

# Target
TARGET=$(BINDIR)/blueserver

# Objects
OBJECTS=\
$(OBJDIR)/blueserver.o \
$(OBJDIR)/localserver.o

# Generic rules
$(OBJDIR)/%.o: %.c
	$(tt-compile-c)

$(OBJDIR)/%.o: %.cpp
	$(tt-compile-cpp)

# Specific rules
.PHONY: all clean depclean allclean

all: $(TARGET)

$(TARGET): $(OBJECTS)
	@$(MKDIR) $(BINDIR)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:
	-$(RM) $(TARGET) $(OBJECTS)
	@$(call clndir,$(BINDIR) $(OBJDIR))

# Dependencies
ALL_DEPS=$(OBJECTS:.o=.d)

depclean:
	-$(RM) $(ALL_DEPS)
	@$(call clndir,$(BINDIR) $(OBJDIR))

allclean: clean depclean

ifndef NO_DEPS_GEN
-include $(ALL_DEPS)
endif

# EOF
